<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EncryptionVerifier (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EncryptionVerifier (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EncryptionVerifier.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
               title="enum in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/EncryptionVerifier.html"
               target="_top">Frames</a></li>
        <li><a href="EncryptionVerifier.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.crypt</div>
    <h2 title="Class EncryptionVerifier" class="title">Class EncryptionVerifier</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.crypt.EncryptionVerifier</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/crypt/agile/AgileEncryptionVerifier.html"
                           title="class in org.apache.poi.poifs.crypt.agile">AgileEncryptionVerifier</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/BinaryRC4EncryptionVerifier.html"
                            title="class in org.apache.poi.poifs.crypt.binaryrc4">BinaryRC4EncryptionVerifier</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/standard/StandardEncryptionVerifier.html"
                            title="class in org.apache.poi.poifs.crypt.standard">StandardEncryptionVerifier</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/xor/XOREncryptionVerifier.html"
                            title="class in org.apache.poi.poifs.crypt.xor">XOREncryptionVerifier</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">EncryptionVerifier</span>
extends java.lang.Object
implements java.lang.Cloneable</pre>
                <div class="block">Used when checking if a key is valid for a document</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#EncryptionVerifier--">EncryptionVerifier</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionVerifier</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">ChainingMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#getChainingMode--">getChainingMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#getCipherAlgorithm--">getCipherAlgorithm</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#getEncryptedKey--">getEncryptedKey</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#getEncryptedVerifier--">getEncryptedVerifier</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#getEncryptedVerifierHash--">getEncryptedVerifierHash</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#getHashAlgorithm--">getHashAlgorithm</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#getSalt--">getSalt</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#getSpinCount--">getSpinCount</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#setChainingMode-org.apache.poi.poifs.crypt.ChainingMode-">setChainingMode</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;chainingMode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#setCipherAlgorithm-org.apache.poi.poifs.crypt.CipherAlgorithm-">setCipherAlgorithm</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;cipherAlgorithm)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#setEncryptedKey-byte:A-">setEncryptedKey</a></span>(byte[]&nbsp;encryptedKey)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#setEncryptedVerifier-byte:A-">setEncryptedVerifier</a></span>(byte[]&nbsp;encryptedVerifier)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#setEncryptedVerifierHash-byte:A-">setEncryptedVerifierHash</a></span>(byte[]&nbsp;encryptedVerifierHash)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#setHashAlgorithm-org.apache.poi.poifs.crypt.HashAlgorithm-">setHashAlgorithm</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgorithm)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#setSalt-byte:A-">setSalt</a></span>(byte[]&nbsp;salt)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html#setSpinCount-int-">setSpinCount</a></span>(int&nbsp;spinCount)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EncryptionVerifier--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EncryptionVerifier</h4>
                                <pre>protected&nbsp;EncryptionVerifier()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSalt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSalt</h4>
                                <pre>public&nbsp;byte[]&nbsp;getSalt()</pre>
                            </li>
                        </ul>
                        <a name="getEncryptedVerifier--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptedVerifier</h4>
                                <pre>public&nbsp;byte[]&nbsp;getEncryptedVerifier()</pre>
                            </li>
                        </ul>
                        <a name="getEncryptedVerifierHash--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptedVerifierHash</h4>
                                <pre>public&nbsp;byte[]&nbsp;getEncryptedVerifierHash()</pre>
                            </li>
                        </ul>
                        <a name="getSpinCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpinCount</h4>
                                <pre>public&nbsp;int&nbsp;getSpinCount()</pre>
                            </li>
                        </ul>
                        <a name="getEncryptedKey--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptedKey</h4>
                                <pre>public&nbsp;byte[]&nbsp;getEncryptedKey()</pre>
                            </li>
                        </ul>
                        <a name="getCipherAlgorithm--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCipherAlgorithm</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;getCipherAlgorithm()</pre>
                            </li>
                        </ul>
                        <a name="getHashAlgorithm--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHashAlgorithm</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                                    title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;getHashAlgorithm()</pre>
                            </li>
                        </ul>
                        <a name="getChainingMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChainingMode</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                                    title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;getChainingMode()</pre>
                            </li>
                        </ul>
                        <a name="setSalt-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSalt</h4>
                                <pre>protected&nbsp;void&nbsp;setSalt(byte[]&nbsp;salt)</pre>
                            </li>
                        </ul>
                        <a name="setEncryptedVerifier-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEncryptedVerifier</h4>
                                <pre>protected&nbsp;void&nbsp;setEncryptedVerifier(byte[]&nbsp;encryptedVerifier)</pre>
                            </li>
                        </ul>
                        <a name="setEncryptedVerifierHash-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEncryptedVerifierHash</h4>
                                <pre>protected&nbsp;void&nbsp;setEncryptedVerifierHash(byte[]&nbsp;encryptedVerifierHash)</pre>
                            </li>
                        </ul>
                        <a name="setEncryptedKey-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEncryptedKey</h4>
                                <pre>protected&nbsp;void&nbsp;setEncryptedKey(byte[]&nbsp;encryptedKey)</pre>
                            </li>
                        </ul>
                        <a name="setSpinCount-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpinCount</h4>
                                <pre>protected&nbsp;void&nbsp;setSpinCount(int&nbsp;spinCount)</pre>
                            </li>
                        </ul>
                        <a name="setCipherAlgorithm-org.apache.poi.poifs.crypt.CipherAlgorithm-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCipherAlgorithm</h4>
                                <pre>protected&nbsp;void&nbsp;setCipherAlgorithm(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;cipherAlgorithm)</pre>
                            </li>
                        </ul>
                        <a name="setChainingMode-org.apache.poi.poifs.crypt.ChainingMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChainingMode</h4>
                                <pre>protected&nbsp;void&nbsp;setChainingMode(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;chainingMode)</pre>
                            </li>
                        </ul>
                        <a name="setHashAlgorithm-org.apache.poi.poifs.crypt.HashAlgorithm-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHashAlgorithm</h4>
                                <pre>protected&nbsp;void&nbsp;setHashAlgorithm(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgorithm)</pre>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionVerifier</a>&nbsp;clone()
                         throws java.lang.CloneNotSupportedException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.CloneNotSupportedException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EncryptionVerifier.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
               title="enum in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/EncryptionVerifier.html"
               target="_top">Frames</a></li>
        <li><a href="EncryptionVerifier.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
